Public Attributes | List of all members
gap_init_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Legacy initiating parameters. More...

`#include <ble_gapm.h>`

## Public Attributes
uint8_t | type
| Initiating type (see enum gap_init_type_t). More...
gap_bdaddr_t | peer_addr
| Peer device address. More...
uint16_t | interval_min
| Minimum value for the connection interval (in unit of 1.25ms). More...
uint16_t | interval_max
| Maximum value for the connection interval (in unit of 1.25ms). More...
uint16_t | slave_latency
| Slave latency. More...
uint16_t | sup_timeout
| Link supervision timeout (in unit of 10ms). More...
uint16_t | conn_timeout
| Timeout for connection establishment (in unit of 10ms). More...

## Detailed Description

Legacy initiating parameters.

Definition at line 665 of file ble_gapm.h.

## Member Data Documentation

## ◆ conn_timeout

uint16_t gap_init_param_t::conn_timeout

Timeout for connection establishment (in unit of 10ms).

Cancel the procedure if connection has not been connected when the timeout occurs. 0 means there is no timeout.

Definition at line 675 of file ble_gapm.h.

## ◆ interval_max

uint16_t gap_init_param_t::interval_max

Maximum value for the connection interval (in unit of 1.25ms).

Shall be greater than or equal to interval_min value. Allowed range is 7.5 ms to 4s.

Definition at line 671 of file ble_gapm.h.

## ◆ interval_min

uint16_t gap_init_param_t::interval_min

Minimum value for the connection interval (in unit of 1.25ms).

Shall be less than or equal to interval_max value. Allowed range is 7.5 ms to 4s.

Definition at line 669 of file ble_gapm.h.

## ◆ peer_addr

gap_bdaddr_t gap_init_param_t::peer_addr

Peer device address.

Definition at line 668 of file ble_gapm.h.

## ◆ slave_latency

uint16_t gap_init_param_t::slave_latency

Slave latency.

Number of events that can be missed by a connected slave device.

Definition at line 673 of file ble_gapm.h.

## ◆ sup_timeout

uint16_t gap_init_param_t::sup_timeout

Link supervision timeout (in unit of 10ms).

Allowed range is 100 ms to 32s.

Definition at line 674 of file ble_gapm.h.

## ◆ type

uint8_t gap_init_param_t::type

Initiating type (see enum gap_init_type_t).

Definition at line 667 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h